## EXPORT_SPEC int ixmlNode_insertBefore

## (IXML_Node* nodeptr,
IXML_Node* newChild,
IXML_Node* refChild )

> Inserts a new child Node before the existing child Node.

## Documentation

> Inserts a new child Node before the existing child Node. refChild can be `NULL`, which inserts newChild at the end of the list of children. Note that the Node (or Nodes) in newChild must already be owned by the owner document (or have no owner at all) of nodeptr for insertion. If not, the Node (or Nodes) must be imported into the document using ixmlDocument_importNode. If newChild is already in the tree, it is removed first.

Parameters:
  nodeptr - The parent of the Node before which to insert the new child.
  newChild - The Node to insert into the tree.
  refChild - The reference child where the new Node should be inserted. The new Node will appear directly before the reference child.
Returns:
  [int] An integer representing one of the following:
  - `IXML_SUCCESS`: The operation completed successfully.
  - `IXML_INVALID_PARAMETER`: Either nodeptr or newChild is `NULL`.
  - `IXML_HIERARCHY_REQUEST_ERR`: The type of the Node does not allow children of the type of newChild.
  - `IXML_WRONG_DOCUMENT_ERR`: newChild has an owner document that does not match the owner of nodeptr.
  - `IXML_NO_MODIFICATION_ALLOWED_ERR`: nodeptr is read-only or the parent of the Node being inserted is read-only.
  - `IXML_NOT_FOUND_ERR`: refChild is not a child of nodeptr.

Alphabetic index

This page was generated with the help of DOC++.